1. Auth
Bokumonie API Docs
  • Bokumonie API Documentation
  • Auth
    • Authentication
      GET
  • Payout
    • Initiate payout
      POST
    • Get a Payout
      GET
    • Get Payout Summary
      POST
    • Get payouts
      GET
  • Wallet
    • Get Balance
      GET
  • Webhook Notification
  1. Auth

Authentication

GET
/auth/user

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.bokumonie.com/v2/auth/user' \
--header 'Idempotency-Key: {{$randomUUID}}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": "Successful",
    "message": "User Authenticated successfully",
    "data": {
        "walletId": "5553881136",
        "email": "john.doe@microsft.com",
        "firstName": "John",
        "lastName": "Doe",
        "phone": "+232713850",
        "status": "ACTIVE",
        "kycStatus": "Pending",
        "businessName": "Bokumonie Technologies Ltd",
        "address": "1, Water-side road, Freetown",
        "country": "NG"
    },
    "timestamp": "2026-03-29T09:02:38.038901Z"
}
Modified at 2026-04-05 08:50:41
Previous
Auth
Next
Payout
Built with